Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 544414 - [abrt] crash in evolution-2.28.0-2 g_type_class_meta_marshal?
Summary: [abrt] crash in evolution-2.28.0-2 g_type_class_meta_marshal?
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ebd077991061fe151bd9505c107...
: 565514 582795 588491 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-04 20:22 UTC by Russell Harrison
Modified: 2018-04-11 18:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 02:13:06 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2009-12-04 20:22 UTC, Russell Harrison
no flags Details

Description Russell Harrison 2009-12-04 20:22:27 UTC
abrt 1.0.0 detected a crash.

Comment: viewing meeting invites in the preview pane.
Attached file: backtrace
cmdline: evolution
component: evolution
executable: /usr/bin/evolution
kernel: 2.6.31.6-145.fc12.i686.PAE
package: evolution-2.28.0-2.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 Russell Harrison 2009-12-04 20:22:30 UTC
Created attachment 376191 [details]
File: backtrace

Comment 2 Milan Crha 2010-01-05 16:30:31 UTC
Thanks for a bug report. The attached backtrace is not complete unfortunately, the thread where it most likely crashed is shown only its beginning, as can be seen below. Are you able to reproduce this issue consistently, please? If yes, could you run evolution under gdb and get a complete backtrace, please?

> Thread 1 (Thread 18098):
> #0  g_type_class_meta_marshal (closure=<value optimized out>, 
>     return_value=<value optimized out>, n_param_values=<value optimized out>, 
>     param_values=<value optimized out>, 
>     invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
>     at gclosure.c:876
>         class =

Comment 3 Karel Klíč 2010-02-24 16:57:51 UTC
*** Bug 565514 has been marked as a duplicate of this bug. ***

Comment 4 Matěj Cepl 2010-05-11 17:08:15 UTC
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 5 Russell Harrison 2010-05-18 17:44:30 UTC
(In reply to comment #2)
> Thanks for a bug report. The attached backtrace is not complete unfortunately,
> the thread where it most likely crashed is shown only its beginning, as can be
> seen below. Are you able to reproduce this issue consistently, please? If yes,
> could you run evolution under gdb and get a complete backtrace, please?

The problem does happen frequently but I'm not able to reproduce it consistently.  Is there a way I can configure abrt to capture the full backtrace?

Comment 6 Milan Crha 2010-05-19 07:46:14 UTC
Jirko, could you look at this, please? This backtrace is not complete for some reason. I do not believe there is any option for that, it just might be some bug or limitation on backtrace length in abrt.

Comment 7 Karel Klíč 2010-05-25 10:41:45 UTC
*** Bug 582795 has been marked as a duplicate of this bug. ***

Comment 8 Karel Klíč 2010-05-25 10:41:49 UTC
*** Bug 588491 has been marked as a duplicate of this bug. ***

Comment 9 Bug Zapper 2010-11-04 04:20:08 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-12-04 02:13:06 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.